﻿![Vanara](https://raw.githubusercontent.com/dahall/Vanara/master/docs/icons/VanaraHeading.png)
### **Vanara.PInvoke.Kernel32 NuGet Package**
[![Version](https://img.shields.io/nuget/v/Vanara.PInvoke.Kernel32?label=NuGet&style=flat-square)](https://github.com/dahall/Vanara/releases)
[![Build status](https://img.shields.io/appveyor/build/dahall/vanara?label=AppVeyor%20build&style=flat-square)](https://ci.appveyor.com/project/dahall/vanara)

PInvoke API (methods, structures and constants) imported from Windows Kernel32.dll.

### **What is Vanara?**

[Vanara](https://github.com/dahall/Vanara) is a community project that contains various .NET assemblies which have P/Invoke functions, interfaces, enums and structures from Windows libraries. Each assembly is associated with one or a few tightly related libraries.

### **Issues?**

First check if it's already fixed by trying the [AppVeyor build](https://ci.appveyor.com/nuget/vanara-prerelease).
If you're still running into problems, file an [issue](https://github.com/dahall/Vanara/issues).

### **Included in Vanara.PInvoke.Kernel32**

Functions | Enumerations | Structures
--- | --- | ---
AcquireSRWLockExclusive AcquireSRWLockShared ActivateActCtx AddAtom AddConsoleAlias AddDllDirectory AddIntegrityLabelToBoundaryDescriptor AddLocalAlternateComputerName AddPackageDependency AddRefActCtx AddSecureMemoryCacheCallback AddSIDToBoundaryDescriptor AddVectoredContinueHandler AddVectoredExceptionHandler AdjustCalendarDate AllocateUserPhysicalPages AllocateUserPhysicalPagesNuma AllocConsole ApplicationRecoveryFinished ApplicationRecoveryInProgress AppPolicyGetCreateFileAccess AppPolicyGetProcessTerminationMethod AppPolicyGetShowDeveloperDiagnostic AppPolicyGetThreadInitializationType AreFileApisANSI AssignProcessToJobObject AttachConsole BackupRead BackupSeek BackupWrite BaseFlushAppcompatCache Beep BeginUpdateResource BindIoCompletionCallback BuildCommDCB BuildCommDCBAndTimeouts BuildIoRingCancelRequest BuildIoRingFlushFile BuildIoRingReadFile BuildIoRingRegisterBuffers BuildIoRingRegisterFileHandles BuildIoRingWriteFile CallbackMayRunLong CallEnclave CallNamedPipe CancelIo CancelIoEx CancelSynchronousIo CancelThreadpoolIo CancelWaitableTimer CeipIsOptedIn ChangeTimerQueueTimer CheckNameLegalDOS8Dot3 CheckRemoteDebuggerPresent ClearCommBreak ClearCommError CloseHandle CloseIoRing ClosePackageInfo ClosePrivateNamespace ClosePseudoConsole CloseThreadpool CloseThreadpoolCleanupGroup CloseThreadpoolCleanupGroupMembers CloseThreadpoolIo CloseThreadpoolTimer CloseThreadpoolWait CloseThreadpoolWork CommConfigDialog CompareFileTime CompareObjectHandles CompareString CompareStringEx CompareStringOrdinal ConnectNamedPipe ContinueDebugEvent ConvertAuxiliaryCounterToPerformanceCounter ConvertCalDateTimeToSystemTime ConvertDefaultLocale ConvertFiberToThread ConvertPerformanceCounterToAuxiliaryCounter ConvertSystemTimeToCalDateTime ConvertThreadToFiber ConvertThreadToFiberEx CopyContext CopyFile CopyFile2 CopyFileEx CopyFileFromAppW CopyFileTransacted CreateActCtx CreateBoundaryDescriptor CreateConsoleScreenBuffer CreateDirectory CreateDirectoryEx CreateDirectoryFromAppW CreateDirectoryTransacted CreateEnclave CreateEvent CreateEventEx CreateFiber CreateFiberEx CreateFile CreateFile2 CreateFile2FromAppW CreateFileFromAppW CreateFileMapping CreateFileMappingFromApp CreateFileMappingNuma CreateFileTransacted CreateHardLink CreateHardLinkTransacted CreateIoCompletionPort CreateIoRing CreateJobObject CreateMailslot CreateMemoryResourceNotification CreateMutex CreateMutexEx CreateNamedPipe CreatePipe CreatePrivateNamespace CreateProcess CreatePseudoConsole CreateRemoteThread CreateRemoteThreadEx CreateSemaphore CreateSemaphoreEx CreateSymbolicLink CreateTapePartition CreateThread CreateThreadpool CreateThreadpoolCleanupGroup CreateThreadpoolIo CreateThreadpoolTimer CreateThreadpoolWait CreateThreadpoolWork CreateTimerQueue CreateTimerQueueTimer CreateToolhelp32Snapshot CreateUmsCompletionList CreateUmsThreadContext CreateWaitableTimer CreateWaitableTimerEx DeactivateActCtx DebugActiveProcess DebugActiveProcessStop DebugBreak DebugBreakProcess DebugSetProcessKillOnExit DecodePointer DecodeRemotePointer DecodeSystemPointer DefineDosDevice DeleteAtom DeleteBoundaryDescriptor DeleteCriticalSection DeleteEnclave DeleteFiber DeleteFile DeleteFileFromAppW DeleteFileTransacted DeletePackageDependency DeleteProcThreadAttributeList DeleteSynchronizationBarrier DeleteTimerQueue DeleteTimerQueueEx DeleteTimerQueueTimer DeleteUmsCompletionList DeleteUmsThreadContext DeleteVolumeMountPoint DequeueUmsCompletionListItems DeviceIoControl DisableThreadLibraryCalls DisableThreadProfiling DisassociateCurrentThreadFromCallback DiscardVirtualMemory DisconnectNamedPipe DnsHostnameToComputerName DosDateTimeToFileTime DuplicateHandle EmptyWorkingSet EnableThreadProfiling EnclaveGetAttestationReport EnclaveGetEnclaveInformation EnclaveSealData EnclaveUnsealData EnclaveVerifyAttestationReport EncodePointer EncodeRemotePointer EncodeSystemPointer EndUpdateResource EnterCriticalSection EnterSynchronizationBarrier EnterUmsSchedulingMode EnumCalendarInfo EnumCalendarInfoEx EnumCalendarInfoExEx EnumDateFormats EnumDateFormatsEx EnumDateFormatsExEx EnumDeviceDrivers EnumDynamicTimeZoneInformation EnumLanguageGroupLocales EnumPageFilesA EnumPageFilesW EnumProcessesA EnumProcessesW EnumProcessModules EnumProcessModulesExA EnumProcessModulesExW EnumResourceLanguagesEx EnumResourceLanguagesW EnumResourceNames EnumResourceNamesEx EnumResourceTypesEx EnumResourceTypesW EnumSystemCodePages EnumSystemFirmwareTables EnumSystemGeoID EnumSystemGeoNames EnumSystemLanguageGroups EnumSystemLocales EnumSystemLocalesEx EnumTimeFormats EnumTimeFormatsEx EnumUILanguages EraseTape EscapeCommFunction ExecuteUmsThread ExitProcess ExitThread ExpandEnvironmentStrings FatalAppExit FatalExit FileTimeToDosDateTime FileTimeToLocalFileTime FileTimeToSystemTime FillConsoleOutputAttribute FillConsoleOutputCharacter FindActCtxSectionGuid FindActCtxSectionString FindAtom FindClose FindCloseChangeNotification FindFirstChangeNotification FindFirstFile FindFirstFileEx FindFirstFileExFromAppW FindFirstFileNameTransactedW FindFirstFileNameW FindFirstFileTransacted FindFirstStreamTransactedW FindFirstStreamW FindFirstVolume FindFirstVolumeMountPoint FindNextChangeNotification FindNextFile FindNextFileNameW FindNextStreamW FindNextVolume FindNextVolumeMountPoint FindNLSString FindNLSStringEx FindPackagesByPackageFamily FindResource FindResourceEx FindStringOrdinal FindVolumeClose FindVolumeMountPointClose FlsAlloc FlsFree FlsGetValue FlsSetValue FlushConsoleInputBuffer FlushFileBuffers FlushInstructionCache FlushProcessWriteBuffers FlushViewOfFile FoldString FormatApplicationUserModelId FormatMessage FreeConsole FreeEnvironmentStrings FreeLibrary FreeLibraryAndExitThread FreeLibraryWhenCallbackReturns FreeMemoryJobObject FreeResource FreeUserPhysicalPages GenerateConsoleCtrlEvent GetACP GetActiveProcessorCount GetActiveProcessorGroupCount GetAppContainerNamedObjectPath GetApplicationRecoveryCallback GetApplicationRestartSettings GetApplicationUserModelId GetApplicationUserModelIdFromToken GetAtomName GetBinaryType GetCalendarDateFormatEx GetCalendarInfo GetCalendarInfoEx GetCalendarSupportedDateRange GetCommandLine GetCommConfig GetCommMask GetCommModemStatus GetCommPorts GetCommProperties GetCommState GetCommTimeouts GetComPlusPackageInstallStatus GetCompressedFileSize GetComputerName GetComputerNameEx GetConsoleAlias GetConsoleAliases GetConsoleAliasesLength GetConsoleAliasExes GetConsoleAliasExesLength GetConsoleCP GetConsoleCursorInfo GetConsoleDisplayMode GetConsoleFontSize GetConsoleHistoryInfo GetConsoleMode GetConsoleOriginalTitle GetConsoleOutputCP GetConsoleProcessList GetConsoleScreenBufferInfo GetConsoleScreenBufferInfoEx GetConsoleSelectionInfo GetConsoleTitle GetConsoleWindow GetCPInfo GetCPInfoEx GetCurrencyFormat GetCurrencyFormatEx GetCurrentActCtx GetCurrentApplicationUserModelId GetCurrentConsoleFont GetCurrentConsoleFontEx GetCurrentDirectory GetCurrentPackageFamilyName GetCurrentPackageFullName GetCurrentPackageId GetCurrentPackageInfo GetCurrentPackageInfo2 GetCurrentPackagePath GetCurrentPackagePath2 GetCurrentProcess GetCurrentProcessId GetCurrentProcessorNumber GetCurrentProcessorNumberEx GetCurrentThread GetCurrentThreadId GetCurrentThreadStackLimits GetCurrentUmsThread GetDateFormat GetDateFormatEx GetDefaultCommConfig GetDeveloperDriveEnablementState GetDeviceDriverBaseName GetDeviceDriverFileName GetDevicePowerState GetDiskFreeSpace GetDiskFreeSpaceEx GetDllDirectory GetDriveType GetDurationFormat GetDurationFormatEx GetDynamicTimeZoneInformation GetDynamicTimeZoneInformationEffectiveYears GetEnabledXStateFeatures GetEnvironmentStrings GetEnvironmentVariable GetErrorMode GetExitCodeProcess GetExitCodeThread GetExpandedName GetFileAttributes GetFileAttributesEx GetFileAttributesExFromAppW GetFileAttributesTransacted GetFileBandwidthReservation GetFileInformationByHandle GetFileInformationByHandleEx GetFileMUIInfo GetFileMUIPath GetFileSize GetFileSizeEx GetFileTime GetFileType GetFinalPathNameByHandle GetFirmwareEnvironmentVariable GetFirmwareEnvironmentVariableEx GetFullPathName GetFullPathNameTransacted GetGamingDeviceModelInformation GetGeoInfo GetGeoInfoEx GetHandleInformation GetIdForPackageDependencyContext GetIntegratedDisplaySize GetIoRingInfo GetLargePageMinimum GetLargestConsoleWindowSize GetLastError GetLocaleInfo GetLocaleInfoEx GetLocalTime GetLogicalDrives GetLogicalDriveStrings GetLogicalProcessorInformation GetLogicalProcessorInformationEx GetLongPathName GetLongPathNameTransacted GetMachineTypeAttributes GetMailslotInfo GetMappedFileName GetMaximumProcessorCount GetMaximumProcessorGroupCount GetMemoryErrorHandlingCapabilities GetModuleBaseName GetModuleFileName GetModuleFileNameExA GetModuleFileNameExW GetModuleHandle GetModuleHandleEx GetModuleInformation GetNamedPipeClientComputerName GetNamedPipeClientProcessId GetNamedPipeClientSessionId GetNamedPipeHandleState GetNamedPipeInfo GetNamedPipeServerProcessId GetNamedPipeServerSessionId GetNativeSystemInfo GetNextUmsListItem GetNLSVersion GetNLSVersionEx GetNumaAvailableMemoryNode GetNumaAvailableMemoryNodeEx GetNumaHighestNodeNumber GetNumaNodeNumberFromHandle GetNumaNodeProcessorMask GetNumaNodeProcessorMask2 GetNumaNodeProcessorMaskEx GetNumaProcessorNode GetNumaProcessorNodeEx GetNumaProximityNode GetNumaProximityNodeEx GetNumberFormat GetNumberFormatEx GetNumberOfConsoleInputEvents GetNumberOfConsoleMouseButtons GetOEMCP GetOsManufacturingMode GetOsSafeBootMode GetOverlappedResult GetOverlappedResultEx GetPackageApplicationIds GetPackageFamilyName GetPackageFamilyNameFromToken GetPackageFullName GetPackageFullNameFromToken GetPackageInfo GetPackageInfo2 GetPackagePath GetPackagePathByFullName GetPackagePathByFullName2 GetPackagesByPackageFamily GetPerformanceInfo GetPhysicallyInstalledSystemMemory GetPriorityClass GetPrivateProfileInt GetPrivateProfileSection GetPrivateProfileSectionNames GetPrivateProfileString GetPrivateProfileStruct GetProcAddress GetProcessAffinityMask GetProcessDefaultCpuSetMasks GetProcessDefaultCpuSets GetProcessDEPPolicy GetProcessGroupAffinity GetProcessHandleCount GetProcessHeap GetProcessHeaps GetProcessId GetProcessIdOfThread GetProcessImageFileName GetProcessInformation GetProcessIoCounters GetProcessMemoryInfoA GetProcessMemoryInfoW GetProcessMitigationPolicy GetProcessorSystemCycleTime GetProcessPreferredUILanguages GetProcessPriorityBoost GetProcessShutdownParameters GetProcessTimes GetProcessVersion GetProcessWorkingSetSize GetProcessWorkingSetSizeEx GetProductInfo GetProfileInt GetProfileSection GetProfileString GetQueuedCompletionStatus GetQueuedCompletionStatusEx GetShortPathName GetStagedPackageOrigin GetStagedPackagePathByFullName GetStagedPackagePathByFullName2 GetStartupInfo GetStdHandle GetStringScripts GetStringType GetStringTypeEx GetSystemCpuSetInformation GetSystemDefaultLangID GetSystemDefaultLCID GetSystemDefaultLocaleName GetSystemDefaultUILanguage GetSystemDEPPolicy GetSystemDirectory GetSystemFileCacheSize GetSystemFirmwareTable GetSystemInfo GetSystemPowerStatus GetSystemPreferredUILanguages GetSystemRegistryQuota GetSystemTime GetSystemTimeAdjustment GetSystemTimeAdjustmentPrecise GetSystemTimeAsFileTime GetSystemTimePreciseAsFileTime GetSystemTimes GetSystemWindowsDirectory GetSystemWow64Directory GetSystemWow64Directory2 GetTapeParameters GetTapePosition GetTapeStatus GetTempFileName GetTempPath GetTempPath2 GetThreadContext GetThreadDescription GetThreadErrorMode GetThreadGroupAffinity GetThreadId GetThreadIdealProcessorEx GetThreadInformation GetThreadIOPendingFlag GetThreadLocale GetThreadPreferredUILanguages GetThreadPriority GetThreadPriorityBoost GetThreadSelectedCpuSets GetThreadSelectorEntry GetThreadTimes GetThreadUILanguage GetTickCount GetTickCount64 GetTimeFormat GetTimeFormatEx GetTimeZoneInformation GetTimeZoneInformationForYear GetUILanguageInfo GetUmsCompletionListEvent GetUmsSystemThreadInformation GetUserDefaultGeoName GetUserDefaultLangID GetUserDefaultLCID GetUserDefaultLocaleName GetUserDefaultUILanguage GetUserGeoID GetUserPreferredUILanguages GetVersion GetVersionEx GetVolumeInformation GetVolumeInformationByHandleW GetVolumeNameForVolumeMountPoint GetVolumePathName GetVolumePathNamesForVolumeName GetWindowsDirectory GetWriteWatch GetWsChanges GetWsChangesExA GetWsChangesExW GetXStateFeaturesMask GlobalAddAtom GlobalAddAtomEx GlobalAlloc GlobalDeleteAtom GlobalFindAtom GlobalFlags GlobalFree GlobalGetAtomName GlobalHandle GlobalLock GlobalMemoryStatus GlobalMemoryStatusEx GlobalReAlloc GlobalSize GlobalUnlock Heap32First Heap32ListFirst Heap32ListNext Heap32Next HeapAlloc HeapCompact HeapCreate HeapDestroy HeapFree HeapLock HeapQueryInformation HeapReAlloc HeapSetInformation HeapSize HeapSummary HeapUnlock HeapValidate HeapWalk IdnToAscii IdnToNameprepUnicode IdnToUnicode InitAtomTable InitializeConditionVariable InitializeContext InitializeCriticalSection InitializeCriticalSectionAndSpinCount InitializeCriticalSectionEx InitializeEnclave InitializeProcessForWsWatchA InitializeProcessForWsWatchW InitializeProcThreadAttributeList InitializeSListHead InitializeSRWLock InitializeSynchronizationBarrier InitOnceBeginInitialize InitOnceComplete InitOnceExecuteOnce InitOnceInitialize InstallELAMCertificateInfo InterlockedFlushSList InterlockedPopEntrySList InterlockedPushEntrySList InterlockedPushListSList InterlockedPushListSListEx IsApiSetImplemented IsBadCodePtr IsBadReadPtr IsBadStringPtr IsBadWritePtr IsDBCSLeadByte IsDBCSLeadByteEx IsDebuggerPresent IsEnclaveTypeSupported IsIoRingOpSupported IsNativeVhdBoot IsNLSDefinedString IsNormalizedString IsProcessCritical IsProcessInJob IsProcessorFeaturePresent IsSystemResumeAutomatic IsThreadAFiber IsThreadpoolTimerSet IsUserCetAvailableInEnvironment IsValidCodePage IsValidLanguageGroup IsValidLocale IsValidLocaleName IsValidNLSVersion IsWow64GuestMachineSupported IsWow64Process IsWow64Process2 LCIDToLocaleName LCMapString LCMapStringEx LeaveCriticalSection LeaveCriticalSectionWhenCallbackReturns LoadEnclaveData LoadEnclaveImage LoadLibrary LoadLibraryEx LoadModule LoadPackagedLibrary LoadResource LoadStringByReference LocalAlloc LocaleNameToLCID LocalFileTimeToFileTime LocalFlags LocalFree LocalHandle LocalLock LocalReAlloc LocalSize LocalUnlock LocateXStateFeature LockFile LockFileEx LockResource lstrcmp lstrcmpi lstrcpyn lstrlen LZClose LZCopy LZInit LZOpenFile LZRead LZSeek MapUserPhysicalPages MapUserPhysicalPagesScatter MapViewOfFile MapViewOfFile3 MapViewOfFile3FromApp MapViewOfFileEx MapViewOfFileExNuma MapViewOfFileFromApp MapViewOfFileNuma2 Module32First Module32Next MoveFile MoveFileEx MoveFileFromAppW MoveFileTransacted MoveFileWithProgress MulDiv MultiByteToWideChar NeedCurrentDirectoryForExePath NormalizeString OfferVirtualMemory OpenCommPort OpenEvent OpenFile OpenFileById OpenFileMapping OpenFileMappingFromApp OpenJobObject OpenMutex OpenPackageInfoByFullName OpenPrivateNamespace OpenProcess OpenSemaphore OpenThread OpenWaitableTimer OutputDebugString PackageFamilyNameFromFullName PackageFamilyNameFromId PackageFullNameFromId PackageIdFromFullName PackageNameAndPublisherIdFromFamilyName ParseApplicationUserModelId PathAllocCanonicalize PathAllocCombine PathCchAddBackslash PathCchAddBackslashEx PathCchAddExtension PathCchAppend PathCchAppendEx PathCchCanonicalize PathCchCanonicalizeEx PathCchCombine PathCchCombineEx PathCchFindExtension PathCchIsRoot PathCchRemoveBackslash PathCchRemoveBackslashEx PathCchRemoveExtension PathCchRemoveFileSpec PathCchRenameExtension PathCchSkipRoot PathCchStripPrefix PathCchStripToRoot PathIsUNCEx PeekConsoleInput PeekNamedPipe PopIoRingCompletion PostQueuedCompletionStatus PowerClearRequest PowerCreateRequest PowerSetRequest PrefetchVirtualMemory PrepareTape Process32First Process32FirstA Process32Next Process32NextA ProcessIdToSessionId PssCaptureSnapshot PssDuplicateSnapshot PssFreeSnapshot PssQuerySnapshot PssWalkMarkerCreate PssWalkMarkerFree PssWalkMarkerGetPosition PssWalkMarkerSeekToBeginning PssWalkMarkerSetPosition PssWalkSnapshot PulseEvent PurgeComm QueryActCtxSettingsW QueryActCtxW QueryAuxiliaryCounterFrequency QueryDepthSList QueryDosDevice QueryFullProcessImageName QueryIdleProcessorCycleTime QueryIdleProcessorCycleTimeEx QueryInformationJobObject QueryInterruptTime QueryInterruptTimePrecise QueryIoRateControlInformationJobObject QueryIoRingCapabilities QueryMemoryResourceNotification QueryOptionalDelayLoadedAPI QueryPerformanceCounter QueryPerformanceFrequency QueryProcessAffinityUpdateMode QueryProcessCycleTime QueryProtectedPolicy QueryThreadCycleTime QueryThreadpoolStackInformation QueryThreadProfiling QueryUmsThreadInformation QueryUnbiasedInterruptTime QueryUnbiasedInterruptTimePrecise QueryVirtualMemoryInformation QueryWorkingSet QueryWorkingSetEx QueueUserAPC QueueUserWorkItem RaiseException RaiseFailFastException ReadConsole ReadConsoleInput ReadConsoleOutput ReadConsoleOutputAttribute ReadConsoleOutputCharacter ReadDirectoryChangesExW ReadDirectoryChangesW ReadFile ReadFileEx ReadFileScatter ReadProcessMemory ReadThreadProfilingData ReclaimVirtualMemory RegisterApplicationRecoveryCallback RegisterApplicationRestart RegisterBadMemoryNotification RegisterWaitForSingleObject ReleaseActCtx ReleaseMutex ReleaseMutexWhenCallbackReturns ReleaseSemaphore ReleaseSemaphoreWhenCallbackReturns ReleaseSRWLockExclusive ReleaseSRWLockShared RemoveDirectory RemoveDirectoryFromAppW RemoveDirectoryTransacted RemoveDllDirectory RemovePackageDependency RemoveSecureMemoryCacheCallback RemoveVectoredContinueHandler RemoveVectoredExceptionHandler ReOpenFile ReplaceFile ReplaceFileFromAppW RequestWakeupLatency ResetEvent ResetWriteWatch ResizePseudoConsole ResolveLocaleName RestoreLastError ResumeThread RtlAddFunctionTable RtlCaptureContext RtlCopyMemory RtlDeleteFunctionTable RtlFillMemory RtlInstallFunctionTableCallback RtlLookupFunctionEntry RtlMoveMemory RtlPcToFileHeader RtlRestoreContext RtlUnwind RtlUnwindEx RtlZeroMemory ScrollConsoleScreenBuffer SearchPath SetCalendarInfo SetCommBreak SetCommConfig SetCommMask SetCommState SetCommTimeouts SetComputerName SetComputerNameEx SetComputerNameEx2W SetConsoleActiveScreenBuffer SetConsoleCP SetConsoleCtrlHandler SetConsoleCursorInfo SetConsoleCursorPosition SetConsoleDisplayMode SetConsoleHistoryInfo SetConsoleMode SetConsoleOutputCP SetConsoleScreenBufferInfoEx SetConsoleScreenBufferSize SetConsoleTextAttribute SetConsoleTitle SetConsoleWindowInfo SetCriticalSectionSpinCount SetCurrentConsoleFontEx SetCurrentDirectory SetDefaultCommConfig SetDefaultDllDirectories SetDllDirectory SetDynamicTimeZoneInformation SetEndOfFile SetEnvironmentStrings SetEnvironmentVariable SetErrorMode SetEvent SetEventWhenCallbackReturns SetFileApisToANSI SetFileApisToOEM SetFileAttributes SetFileAttributesFromAppW SetFileAttributesTransacted SetFileBandwidthReservation SetFileCompletionNotificationModes SetFileInformationByHandle SetFileIoOverlappedRange SetFilePointer SetFilePointerEx SetFileShortName SetFileTime SetFileValidData SetFirmwareEnvironmentVariable SetFirmwareEnvironmentVariableEx SetHandleInformation SetInformationJobObject SetIoRateControlInformationJobObject SetIoRingCompletionEvent SetLastError SetLocaleInfo SetLocalTime SetMailslotInfo SetNamedPipeHandleState SetPriorityClass SetProcessAffinityMask SetProcessAffinityUpdateMode SetProcessDefaultCpuSetMasks SetProcessDefaultCpuSets SetProcessDEPPolicy SetProcessDynamicEHContinuationTargets SetProcessInformation SetProcessMitigationPolicy SetProcessPreferredUILanguages SetProcessPriorityBoost SetProcessShutdownParameters SetProcessValidCallTargets SetProcessWorkingSetSize SetProcessWorkingSetSizeEx SetProtectedPolicy SetSearchPathMode SetStdHandle SetStdHandleEx SetSystemFileCacheSize SetSystemPowerState SetSystemTime SetSystemTimeAdjustment SetSystemTimeAdjustmentPrecise SetTapeParameters SetTapePosition SetThreadAffinityMask SetThreadContext SetThreadDescription SetThreadErrorMode SetThreadExecutionState SetThreadGroupAffinity SetThreadIdealProcessor SetThreadIdealProcessorEx SetThreadInformation SetThreadLocale SetThreadpoolStackInformation SetThreadpoolThreadMaximum SetThreadpoolThreadMinimum SetThreadpoolTimer SetThreadpoolTimerEx SetThreadpoolWait SetThreadpoolWaitEx SetThreadPreferredUILanguages SetThreadPriority SetThreadPriorityBoost SetThreadSelectedCpuSetMasks SetThreadSelectedCpuSets SetThreadStackGuarantee SetThreadUILanguage SetTimeZoneInformation SetUmsThreadInformation SetUnhandledExceptionFilter SetupComm SetUserGeoID SetUserGeoName SetVolumeLabel SetVolumeMountPoint SetWaitableTimer SetWaitableTimerEx SetXStateFeaturesMask SignalObjectAndWait SizeofResource Sleep SleepConditionVariableCS SleepConditionVariableSRW SleepEx StartThreadpoolIo SubmitIoRing SubmitThreadpoolWork SuspendThread SwitchToFiber SwitchToThread SystemTimeToFileTime SystemTimeToTzSpecificLocalTime SystemTimeToTzSpecificLocalTimeEx TerminateEnclave TerminateJobObject TerminateProcess TerminateProcessOnMemoryExhaustion TerminateThread TermsrvAppInstallMode Thread32First Thread32Next TlsAlloc TlsFree TlsGetValue TlsSetValue Toolhelp32ReadProcessMemory TransactNamedPipe TransmitCommChar TryAcquireSRWLockExclusive TryAcquireSRWLockShared TryCreatePackageDependency TryEnterCriticalSection TrySubmitThreadpoolCallback TzSpecificLocalTimeToSystemTime TzSpecificLocalTimeToSystemTimeEx UmsThreadYield UnhandledExceptionFilter UnlockFile UnlockFileEx UnmapViewOfFile UnmapViewOfFile2 UnmapViewOfFileEx UnregisterApplicationRecoveryCallback UnregisterApplicationRestart UnregisterBadMemoryNotification UnregisterWait UnregisterWaitEx UpdateCalendarDayOfWeek UpdateProcThreadAttribute UpdateResource VerifyScripts VerifyVersionInfo VerSetConditionMask VirtualAlloc VirtualAlloc2 VirtualAlloc2FromApp VirtualAllocEx VirtualAllocExNuma VirtualAllocFromApp VirtualFree VirtualFreeEx VirtualLock VirtualProtect VirtualProtectEx VirtualProtectFromApp VirtualQuery VirtualQueryEx VirtualUnlock WaitCommEvent WaitForDebugEvent WaitForDebugEventEx WaitForMultipleObjects WaitForMultipleObjectsEx WaitForSingleObject WaitForSingleObjectEx WaitForThreadpoolIoCallbacks WaitForThreadpoolTimerCallbacks WaitForThreadpoolWaitCallbacks WaitForThreadpoolWorkCallbacks WaitNamedPipe WaitOnAddress WakeAllConditionVariable WakeByAddressAll WakeByAddressSingle WakeConditionVariable WerGetFlags WerRegisterAdditionalProcess WerRegisterAppLocalDump WerRegisterCustomMetadata WerRegisterExcludedMemoryBlock WerRegisterFile WerRegisterMemoryBlock WerRegisterRuntimeExceptionModule WerSetFlags WerUnregisterAdditionalProcess WerUnregisterAppLocalDump WerUnregisterCustomMetadata WerUnregisterExcludedMemoryBlock WerUnregisterFile WerUnregisterMemoryBlock WerUnregisterRuntimeExceptionModule WideCharToMultiByte WinExec Wow64DisableWow64FsRedirection Wow64EnableWow64FsRedirection Wow64GetThreadContext Wow64GetThreadSelectorEntry Wow64RevertWow64FsRedirection Wow64SetThreadContext Wow64SetThreadDefaultGuestMachine Wow64SuspendThread WriteConsole WriteConsoleInput WriteConsoleOutput WriteConsoleOutputAttribute WriteConsoleOutputCharacter WriteFile WriteFileEx WriteFileGather WritePrivateProfileSection WritePrivateProfileString WritePrivateProfileStruct WriteProcessMemory WriteProfileSection WriteProfileString WriteTapemark WTSGetActiveConsoleSessionId ZombifyActCtx  | AddPackageDependencyOptions AppPolicyCreateFileAccess AppPolicyProcessTerminationMethod AppPolicyShowDeveloperDiagnostic AppPolicyThreadInitializationType APPX_PACKAGE_ARCHITECTURE CreatePackageDependencyOptions PACKAGE_FLAGS PackageDependencyLifetimeKind PackageDependencyProcessorArchitectures PackageOrigin PackagePathType TIME_FORMAT DEBUG_CONTINUE DEBUG_EVENT_CODE ENCLAVE_SEALING_IDENTITY_POLICY ENCLAVE_VBS_FLAG EnclaveType EXCEPTION_FLAG ExceptionCode FAIL_FAST_FLAGS FormatMessageFlags SEM DDD DRIVE_TYPE FILE_NOTIFY_CHANGE CreationOption FileType FIND_FIRST FINDEX_INFO_LEVELS FINDEX_SEARCH_OPS GET_FILEEX_INFO_LEVELS LOCKFILE GAMING_DEVICE_DEVICE_ID GAMING_DEVICE_VENDOR_ID DUPLICATE_HANDLE_OPTIONS HANDLE_FLAG HEAP_INFORMATION_CLASS HeapCompatibility HeapFlags PROCESS_HEAP FILE_FLUSH_MODE FILE_WRITE_FLAGS IORING_CREATE_ADVISORY_FLAGS IORING_CREATE_REQUIRED_FLAGS IORING_REF_KIND IORING_SQE_FLAGS JOB_OBJECT_CPU_RATE_CONTROL_FLAGS JOB_OBJECT_IO_RATE_CONTROL_FLAGS JOB_OBJECT_MSG JOB_OBJECT_NET_RATE_CONTROL_FLAGS JobAccessRight JOBOBJECT_END_OF_JOB_TIME_ACTION JOBOBJECT_IO_ATTRIBUTION_CONTROL_FLAGS JOBOBJECT_LIMIT_FLAGS JOBOBJECT_RATE_CONTROL_TOLERANCE JOBOBJECT_RATE_CONTROL_TOLERANCE_INTERVAL JOBOBJECT_SECURITY_FLAGS JOBOBJECT_UILIMIT_FLAGS JOBOBJECTINFOCLASS GET_MODULE_HANDLE_EX_FLAG LoadLibraryExFlags RESOURCE_ENUM_FLAGS SEARCH_FLAGS CFG_CALL_TARGET FILE_CACHE_LIMITS FILE_MAP MEM_ALLOCATION_TYPE MEM_EXTENDED_PARAMETER_TYPE MEM_PROTECTION MEMORY_RESOURCE_NOTIFICATION_TYPE OFFER_PRIORITY SEC_ALLOC WIN32_MEMORY_INFORMATION_CLASS WRITE_WATCH PIPE_ACCESS PIPE_TYPE IORING_FEATURE_FLAGS IORING_OP_CODE IORING_VERSION PATHCCH_OPTIONS StdHandleType PSS_CAPTURE_FLAGS PSS_DUPLICATE_FLAGS PSS_HANDLE_FLAGS PSS_OBJECT_TYPE PSS_PROCESS_FLAGS PSS_QUERY_INFORMATION_CLASS PSS_THREAD_FLAGS PSS_WALK_INFORMATION_CLASS CPU_SET_INFORMATION_TYPE CREATE_PROCESS CREATE_THREAD_FLAGS DYNAMIC_EH_CONTINUATION_TARGET MACHINE_ATTRIBUTES MEMORY_PRIORITY PROCESS_AFFINITY_MODE PROCESS_INFORMATION_CLASS PROCESS_LEAP_SECOND_INFO_FLAGS PROCESS_MEMORY_EXHAUSTION_TYPE PROCESS_MITIGATION_ASLR_POLICY_FLAGS PROCESS_MITIGATION_BINARY_SIGNATURE_POLICY_FLAGS PROCESS_MITIGATION_CHILD_PROCESS_POLICY_FLAGS PROCESS_MITIGATION_CONTROL_FLOW_GUARD_POLICY_FLAGS PROCESS_MITIGATION_DEP_POLICY_FLAGS PROCESS_MITIGATION_DYNAMIC_CODE_POLICY_FLAGS PROCESS_MITIGATION_EXTENSION_POINT_DISABLE_POLICY_FLAGS PROCESS_MITIGATION_FONT_DISABLE_POLICY_FLAGS PROCESS_MITIGATION_IMAGE_LOAD_POLICY_FLAGS PROCESS_MITIGATION_PAYLOAD_RESTRICTION_POLICY_FLAGS PROCESS_MITIGATION_POLICY PROCESS_MITIGATION_STRICT_HANDLE_CHECK_POLICY_FLAGS PROCESS_MITIGATION_SYSTEM_CALL_DISABLE_POLICY_FLAGS PROCESS_POWER_THROTTLING_MASK ProcessAccess PROCESSOR_FEATURE PROTECTION_LEVEL SHUTDOWN STARTF SYSTEM_CPU_SET_FLAGS THREAD_INFORMATION_CLASS THREAD_PRIORITY ThreadAccess LIST_MODULES COMPARE_STRING MBCONV STRING_MAPPING WCCONV CONDITION_VARIABLE_FLAGS CREATE_EVENT_FLAGS CREATE_MUTEX_FLAGS CREATE_WAITABLE_TIMER_FLAG CRITICAL_SECTION_FLAGS DIAGNOSTIC_REASON DIAGNOSTIC_REASON_VERSION INIT_ONCE_FLAGS SYNC_BARRIER_FLAGS SynchronizationObjectAccess WAIT_STATUS COMPUTER_NAME_FORMAT DEVELOPER_DRIVE_ENABLEMENT_STATE FirmwareTableProviderId LOGICAL_PROCESSOR_RELATIONSHIP PROCESSOR_CACHE_TYPE PRODUCT_TYPE ProductType SCEX2 SuiteMask USER_CET_ENVIRONMENT TP_CALLBACK_ENV_FLAGS TP_CALLBACK_PRIORITY WT TZID HEAPENTRY32_FLAGS HEAPLIST32_FLAGS TH32CS WER_FAULT_REPORTING WER_FILE_TYPE WER_REGISTER_FILE_FLAGS WER_REGISTER_FILE_TYPE WER_REPORT_TYPE WER_REPORT_UI WER_SUBMIT_RESULT ACTCTX_COMPATIBILITY_ELEMENT_TYPE ACTCTX_REQUESTED_RUN_LEVEL ACTCTX_SECTION ActCtxFlags ACTIVATION_CONTEXT_INFO_CLASS ApplicationRestartFlags DeactivateActCtxFlag FIND_ACTCTX_SECTION QueryActCtxFlag ATOM_FLAG TAPE_ERASE_TYPE TAPE_FEATURES_HIGH TAPE_FEATURES_LOW TAPE_PARAM_OP TAPE_PARTITION_METHOD TAPE_POS_METHOD TAPE_POS_TYPE TAPE_PREP_OP TAPEMARK_TYPE COMM_ERRS COMM_ESC_FUNC COMM_EVT_MASK COMM_MODEM_STATUS COMM_PURGE COMM_SET_DATA COMM_SET_PARAMS COMM_STOP_PARITY DTR_CONTROL Parity PROV_CAPABILITIES PROV_SUB_TYPE RTS_CONTROL StopBits BASE_SEARCH_PATH COPYFILE2_COPY_PHASE COPYFILE2_MESSAGE_ACTION COPYFILE2_MESSAGE_TYPE DEP_SYSTEM_POLICY_TYPE FILE_ID_TYPE FILE_NOTIFICATION_MODE HARDWARE_COUNTER_TYPE POWER_REQUEST_TYPE PROCESS_DEP PROCESS_NAME READ_THREAD_PROFILING_FLAG SCS THREAD_PROFILING_FLAG VARIABLE_ATTRIBUTE WOW64_CONTEXT_FLAGS COPY_CALLBACK_REASON COPY_FILE CopyProgressResult FILE_ACTION FILE_INFO_BY_HANDLE_CLASS FinalPathNameOptions MOVEFILE OpenFileAction PRIORITY_HINT READ_DIRECTORY_NOTIFY_INFORMATION_CLASS RemoteProtocol REPLACEFILE StorageInfoFlags STREAM_INFO_LEVELS SymbolicLinkType GMEM LMEM AC_STATUS BATTERY_STATUS LATENCY_TIME EXECUTION_STATE FIBER_FLAG ThreadUmsFlags CHARACTER_ATTRIBUTE CONSOLE_INPUT_MODE CONSOLE_OUTPUT_MODE CONSOLE_SELECTION CONSOLE_TEXTMODE CONTROL_KEY_STATE CTRL_EVENT EVENT_TYPE GET_CONSOLE_DISPLAY_MODE MOUSE_BUTTON_STATE MOUSE_EVENT_FLAG PSEUDOCONSOLE SET_CONSOLE_DISPLAY_MODE CHANGER_FEATURES0 CHANGER_FEATURES1 CHANGER_LOCK CHANGER_MOVE CHANGER_SET_ACCESS_OP ChangerActionCode CHECKSUM_TYPE CSV_CONTROL_OP DETECTION_TYPE DEVICE_DSM_ACTION DEVICE_DSM_FLAG DEVICE_DSM_NOTIFY_FLAG DEVICE_TYPE DISK_ATTRIBUTE DISK_CACHE_RETENTION_PRIORITY DISK_CLUSTER_FLAG ELEMENT_ERROR ELEMENT_STATUS ELEMENT_TYPE FILE_STORAGE_TIER_CLASS FILE_STORAGE_TIER_FLAG FILE_STORAGE_TIER_MEDIA_TYPE FSCTL_INTEGRITY_FLAG GPT_ATTRIBUTE GPT_BASIC_DATA_ATTRIBUTE IOAccess IOMethod LOOKUP_STREAM_FROM_CLUSTER_ENTRY_FLAG MARK_HANDLE_INFO_FLAG MEDIA_CHANGE_DETECTION_STATE MEDIA_CHARACTER MEDIA_TYPE OPLOCK_INPUT_FLAG OPLOCK_LEVEL_CACHE OPLOCK_OUTPUT_FLAG PARTITION_STYLE PartitionType SHRINK_VOLUME_REQUEST_TYPES SRB_TYPE STORAGE_ADDRESS_TYPE STORAGE_BUS_TYPE STORAGE_COMPONENT_HEALTH_STATUS STORAGE_DEVICE_FORM_FACTOR STORAGE_DEVICE_POWER_CAP_UNITS STORAGE_HW_FIRMWARE_REQUEST_FLAG STORAGE_MEDIA_TYPE STORAGE_OFFLOAD_READ STORAGE_OFFLOAD_WRITE STORAGE_PORT_CODE_SET STORAGE_PROPERTY_ID STORAGE_PROTOCOL_ATA_DATA_TYPE STORAGE_PROTOCOL_COMMAND_FLAG STORAGE_PROTOCOL_NVME_DATA_TYPE STORAGE_PROTOCOL_STATUS STORAGE_PROTOCOL_TYPE STORAGE_QUERY_TYPE STORAGE_RPMB_FRAME_TYPE STORAGE_TEMPERATURE_THRESHOLD_FLAG TXFS_LOGGING_MODE TXFS_RM_FLAG TXFS_RM_STATE TXFS_TRANSACTION_STATE USN_REASON USN_SOURCE WRITE_CACHE_CHANGE WRITE_CACHE_ENABLE WRITE_CACHE_TYPE WRITE_THROUGH STORAGE_DISK_HEALTH_STATUS STORAGE_DISK_OPERATIONAL_STATUS STORAGE_OPERATIONAL_STATUS_REASON CALDATETIME_DATEUNIT CALID CALTYPE CHAR_TYPE_INFO CP_FLAGS Ctype1 Ctype2 Ctype3 DATE_FORMAT GetStringScriptsFlag IDN_FLAGS LCID_FLAGS LCMAP LCTYPE LGRPID LGRPID_FLAGS LOCALE_FLAGS LOCALE_FORMAT_FLAG MUI_FILETYPE MUI_LANGUAGE MUI_LANGUAGE_ENUM MUI_LANGUAGE_FILTER MUI_LANGUAGE_FLAGS MUI_LANGUAGE_PATH MUI_QUERY NORM_FORM SYSGEOCLASS SYSGEOTYPE SYSNLS_FUNCTION TIME_FORMAT_ENUM VS_FLAGS COMPRESSION_FORMAT QUOTA_LIMITS_HARDWS RTL_UMS_SCHEDULER_REASON RTL_UMS_THREAD_INFO_CLASS SECTION_MAP VERSION_CONDITION VERSION_MASK FileAccess FileSystemFlags IMAGE_FILE_MACHINE AttrType                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        | PACKAGE_ID PACKAGE_INFO PACKAGE_INFO_REFERENCE PACKAGE_VERSION PACKAGEDEPENDENCY_CONTEXT DEBUG_EVENT LDT_ENTRY ENCLAVE_CREATE_INFO_SGX ENCLAVE_CREATE_INFO_VBS ENCLAVE_IDENTITY ENCLAVE_INFORMATION ENCLAVE_INIT_INFO_SGX ENCLAVE_INIT_INFO_VBS EXCEPTION_POINTERS EXCEPTION_RECORD BY_HANDLE_FILE_INFORMATION CREATEFILE2_EXTENDED_PARAMETERS GAMING_DEVICE_MODEL_INFORMATION HEAP_OPTIMIZE_RESOURCES_INFORMATION HEAP_SUMMARY HHEAP PROCESS_HEAP_ENTRY SLIST_ENTRY SLIST_HEADER OVERLAPPED_ENTRY HIORING IORING_BUFFER_REF IORING_CAPABILITIES IORING_CQE IORING_CREATE_FLAGS IORING_HANDLE_REF IORING_INFO HJOB IO_COUNTERS JOBOBJECT_ASSOCIATE_COMPLETION_PORT JOBOBJECT_BASIC_ACCOUNTING_INFORMATION JOBOBJECT_BASIC_AND_IO_ACCOUNTING_INFORMATION JOBOBJECT_BASIC_LIMIT_INFORMATION JOBOBJECT_BASIC_PROCESS_ID_LIST JOBOBJECT_BASIC_UI_RESTRICTIONS JOBOBJECT_CPU_RATE_CONTROL_INFORMATION JOBOBJECT_END_OF_JOB_TIME_INFORMATION JOBOBJECT_EXTENDED_LIMIT_INFORMATION JOBOBJECT_IO_ATTRIBUTION_INFORMATION JOBOBJECT_IO_ATTRIBUTION_STATS JOBOBJECT_IO_RATE_CONTROL_INFORMATION JOBOBJECT_IO_RATE_CONTROL_INFORMATION_NATIVE JOBOBJECT_IO_RATE_CONTROL_INFORMATION_NATIVE_V2 JOBOBJECT_IO_RATE_CONTROL_INFORMATION_NATIVE_V3 JOBOBJECT_JOBSET_INFORMATION JOBOBJECT_LIMIT_VIOLATION_INFORMATION JOBOBJECT_LIMIT_VIOLATION_INFORMATION_2 JOBOBJECT_NET_RATE_CONTROL_INFORMATION JOBOBJECT_NOTIFICATION_LIMIT_INFORMATION JOBOBJECT_NOTIFICATION_LIMIT_INFORMATION_2 JOBOBJECT_SECURITY_LIMIT_INFORMATION HRSRC HRSRCDATA CFG_CALL_TARGET_INFO MEM_ADDRESS_REQUIREMENTS MEM_EXTENDED_PARAMETER WIN32_MEMORY_RANGE_ENTRY HPIPE BoundaryDescriptorHandle NamespaceHandle IORING_BUFFER_INFO IORING_REGISTERED_BUFFER HPSS HPSSWALK MEMORY_BASIC_INFORMATION PSS_ALLOCATOR PSS_AUXILIARY_PAGE_ENTRY PSS_AUXILIARY_PAGES_INFORMATION PSS_HANDLE_ENTRY PSS_HANDLE_INFORMATION PSS_HANDLE_TRACE_INFORMATION PSS_PERFORMANCE_COUNTERS PSS_PROCESS_INFORMATION PSS_THREAD_ENTRY PSS_THREAD_INFORMATION PSS_VA_CLONE_INFORMATION PSS_VA_SPACE_ENTRY PSS_VA_SPACE_INFORMATION APP_MEMORY_INFORMATION MEMORY_PRIORITY_INFORMATION PROC_THREAD_ATTRIBUTE PROCESS_DYNAMIC_EH_CONTINUATION_TARGET PROCESS_INFORMATION PROCESS_LEAP_SECOND_INFO PROCESS_MACHINE_INFORMATION PROCESS_MEMORY_EXHAUSTION_INFO PROCESS_MITIGATION_ASLR_POLICY PROCESS_MITIGATION_BINARY_SIGNATURE_POLICY PROCESS_MITIGATION_CHILD_PROCESS_POLICY PROCESS_MITIGATION_CONTROL_FLOW_GUARD_POLICY PROCESS_MITIGATION_DEP_POLICY PROCESS_MITIGATION_DYNAMIC_CODE_POLICY PROCESS_MITIGATION_EXTENSION_POINT_DISABLE_POLICY PROCESS_MITIGATION_FONT_DISABLE_POLICY PROCESS_MITIGATION_IMAGE_LOAD_POLICY PROCESS_MITIGATION_PAYLOAD_RESTRICTION_POLICY PROCESS_MITIGATION_STRICT_HANDLE_CHECK_POLICY PROCESS_MITIGATION_SYSTEM_CALL_DISABLE_POLICY PROCESS_MITIGATION_SYSTEM_CALL_FILTER_POLICY PROCESS_POWER_THROTTLING_STATE PROCESS_PROTECTION_LEVEL_INFORMATION PROCESSOR_NUMBER STARTUPINFO STARTUPINFOEX SYSTEM_CPU_SET_INFORMATION THREAD_POWER_THROTTLING_STATE ENUM_PAGE_FILE_INFORMATION MODULEINFO PERFORMANCE_INFORMATION PROCESS_MEMORY_COUNTERS PROCESS_MEMORY_COUNTERS_EX PSAPI_WORKING_SET_BLOCK PSAPI_WORKING_SET_EX_BLOCK PSAPI_WORKING_SET_EX_INFORMATION PSAPI_WORKING_SET_INFORMATION PSAPI_WS_WATCH_INFORMATION PSAPI_WS_WATCH_INFORMATION_EX CONDITION_VARIABLE CRITICAL_SECTION INIT_ONCE REASON_CONTEXT SRWLOCK SYNCHRONIZATION_BARRIER CACHE_DESCRIPTOR CACHE_RELATIONSHIP GROUP_RELATIONSHIP MEMORYSTATUS MEMORYSTATUSEX NUMA_NODE_RELATIONSHIP OSVERSIONINFOEX PROCESSOR_GROUP_INFO PROCESSOR_RELATIONSHIP SYSTEM_INFO SYSTEM_LOGICAL_PROCESSOR_INFORMATION SYSTEM_LOGICAL_PROCESSOR_INFORMATION_EX SYSTEM_PROCESSOR_CYCLE_TIME_INFORMATION GROUP_AFFINITY PTP_CALLBACK_INSTANCE PTP_CLEANUP_GROUP PTP_IO PTP_POOL PTP_TIMER PTP_WAIT PTP_WORK TP_POOL_STACK_INFORMATION PTP_CALLBACK_ENVIRON TimerQueueHandle TimerQueueTimerHandle DYNAMIC_TIME_ZONE_INFORMATION TIME_ZONE_INFORMATION HEAPENTRY32 HEAPLIST32 HSNAPSHOT MODULEENTRY32 PROCESSENTRY32 THREADENTRY32 ACTCTX ACTCTX_SECTION_KEYED_DATA ACTIVATION_CONTEXT_ASSEMBLY_DETAILED_INFORMATION ACTIVATION_CONTEXT_BASIC_INFORMATION ACTIVATION_CONTEXT_COMPATIBILITY_INFORMATION_UNMGD ACTIVATION_CONTEXT_COMPATIBILITY_INFORMATION ACTIVATION_CONTEXT_DETAILED_INFORMATION ACTIVATION_CONTEXT_QUERY_INDEX ACTIVATION_CONTEXT_RUN_LEVEL_INFORMATION ASSEMBLY_FILE_DETAILED_INFORMATION COMPATIBILITY_CONTEXT_ELEMENT HACTCTX ATOM TAPE_GET_DRIVE_PARAMETERS TAPE_GET_MEDIA_PARAMETERS COMMCONFIG COMMPROP COMMTIMEOUTS COMSTAT DCB PerformanceDataHandle COPYFILE2_EXTENDED_PARAMETERS COPYFILE2_MESSAGE FILE_ALIGNMENT_INFO FILE_ALLOCATION_INFO FILE_ATTRIBUTE_TAG_INFO FILE_BASIC_INFO FILE_COMPRESSION_INFO FILE_DISPOSITION_INFO FILE_END_OF_FILE_INFO FILE_FULL_DIR_INFO FILE_ID_128 FILE_ID_BOTH_DIR_INFO FILE_ID_DESCRIPTOR FILE_ID_EXTD_DIR_INFO FILE_ID_INFO FILE_IO_PRIORITY_HINT_INFO FILE_NAME_INFO FILE_NOTIFY_EXTENDED_INFORMATION FILE_NOTIFY_INFORMATION FILE_REMOTE_PROTOCOL_INFO FILE_RENAME_INFO FILE_STANDARD_INFO FILE_STORAGE_INFO FILE_STREAM_INFO WIN32_FILE_ATTRIBUTE_DATA WIN32_FIND_STREAM_DATA LOADPARMS32 HGLOBAL HLOCAL SYSTEM_POWER_STATUS HUPDRES HTRXN PUMS_COMPLETION_LIST PUMS_CONTEXT UMS_SCHEDULER_STARTUP_INFO UMS_SYSTEM_THREAD_INFORMATION CHAR_INFO CONSOLE_CURSOR_INFO CONSOLE_FONT_INFO CONSOLE_FONT_INFOEX CONSOLE_HISTORY_INFO CONSOLE_READCONSOLE_CONTROL CONSOLE_SCREEN_BUFFER_INFO CONSOLE_SCREEN_BUFFER_INFOEX CONSOLE_SELECTION_INFO COORD FOCUS_EVENT_RECORD HPCON INPUT_RECORD KEY_EVENT_RECORD MENU_EVENT_RECORD MOUSE_EVENT_RECORD SMALL_RECT WINDOW_BUFFER_SIZE_RECORD STORAGE_ADAPTER_SERIAL_NUMBER STORAGE_DEVICE_LAYOUT_SIGNATURE STORAGE_DEVICE_MANAGEMENT_STATUS STORAGE_DEVICE_UNIQUE_IDENTIFIER_MGD STORAGE_OPERATIONAL_REASON BOOT_AREA_INFO CHANGER_ELEMENT CHANGER_ELEMENT_LIST CREATE_DISK CREATE_DISK_GPT CREATE_DISK_MBR CREATE_USN_JOURNAL_DATA DELETE_USN_JOURNAL_DATA DISK_CACHE_INFORMATION DISK_CLUSTER_INFO DISK_DETECTION_INFO DISK_EX_INT13_INFO DISK_EXTENT DISK_GEOMETRY DISK_GEOMETRY_EX DISK_GROW_PARTITION DISK_INT13_INFO DISK_PARTITION_INFO DISK_PERFORMANCE DRIVE_LAYOUT_INFORMATION DRIVE_LAYOUT_INFORMATION_EX DRIVE_LAYOUT_INFORMATION_GPT DRIVE_LAYOUT_INFORMATION_MBR EXFAT_STATISTICS FAT_STATISTICS FILESYSTEM_STATISTICS FILESYSTEM_STATISTICS_EX MFT_ENUM_DATA_V0 MFT_ENUM_DATA_V1 NTFS_STATISTICS NTFS_STATISTICS_EX PARTITION_INFORMATION PARTITION_INFORMATION_EX PARTITION_INFORMATION_GPT PARTITION_INFORMATION_MBR READ_FILE_USN_DATA READ_USN_JOURNAL_DATA_V0 READ_USN_JOURNAL_DATA_V1 USN_JOURNAL_DATA_V0 USN_JOURNAL_DATA_V1 USN_JOURNAL_DATA_V2 USN_RANGE_TRACK_OUTPUT USN_RECORD_COMMON_HEADER USN_RECORD_EXTENT USN_RECORD_V2 USN_RECORD_V3 USN_RECORD_V4 USN_TRACK_MODIFIED_RANGES VOLUME_DISK_EXTENTS VOLUME_GET_GPT_ATTRIBUTES_INFORMATION CHANGER_ELEMENT_STATUS CHANGER_ELEMENT_STATUS_EX CHANGER_EXCHANGE_MEDIUM CHANGER_INITIALIZE_ELEMENT_STATUS CHANGER_MOVE_MEDIUM CHANGER_PRODUCT_DATA CHANGER_READ_ELEMENT_STATUS CHANGER_SEND_VOLUME_TAG_INFORMATION CHANGER_SET_ACCESS CHANGER_SET_POSITION CLASS_MEDIA_CHANGE_CONTEXT CSV_CONTROL_PARAM CSV_IS_OWNED_BY_CSVFS CSV_NAMESPACE_INFO CSV_QUERY_FILE_REVISION CSV_QUERY_MDS_PATH CSV_QUERY_REDIRECT_STATE CSV_QUERY_VETO_FILE_DIRECT_IO_OUTPUT DEVICE_COPY_OFFLOAD_DESCRIPTOR DEVICE_DATA_SET_LB_PROVISIONING_STATE DEVICE_DATA_SET_RANGE DEVICE_DATA_SET_REPAIR_PARAMETERS DEVICE_DSM_NOTIFICATION_PARAMETERS DEVICE_DSM_OFFLOAD_READ_PARAMETERS DEVICE_DSM_OFFLOAD_WRITE_PARAMETERS DEVICE_LB_PROVISIONING_DESCRIPTOR DEVICE_MANAGE_DATA_SET_ATTRIBUTES DEVICE_MANAGE_DATA_SET_ATTRIBUTES_OUTPUT DEVICE_MEDIA_INFO DEVICE_POWER_DESCRIPTOR DEVICE_SEEK_PENALTY_DESCRIPTOR DEVICE_TRIM_DESCRIPTOR DEVICE_WRITE_AGGREGATION_DESCRIPTOR DUPLICATE_EXTENTS_DATA FILE_ALLOCATED_RANGE_BUFFER FILE_LEVEL_TRIM FILE_LEVEL_TRIM_OUTPUT FILE_LEVEL_TRIM_RANGE FILE_MAKE_COMPATIBLE_BUFFER FILE_OBJECTID_BUFFER FILE_QUERY_ON_DISK_VOL_INFO_BUFFER FILE_QUERY_SPARING_BUFFER FILE_SET_DEFECT_MGMT_BUFFER FILE_SET_SPARSE_BUFFER FILE_STORAGE_TIER FILE_STORAGE_TIER_REGION FILE_SYSTEM_RECOGNITION_INFORMATION FILE_ZERO_DATA_INFORMATION FIND_BY_SID_DATA FIND_BY_SID_OUTPUT FORMAT_EX_PARAMETERS FORMAT_PARAMETERS FSCTL_GET_INTEGRITY_INFORMATION_BUFFER FSCTL_QUERY_REGION_INFO_INPUT FSCTL_QUERY_REGION_INFO_OUTPUT FSCTL_QUERY_STORAGE_CLASSES_OUTPUT FSCTL_SET_INTEGRITY_INFORMATION_BUFFER GET_CHANGER_PARAMETERS GET_DISK_ATTRIBUTES GET_LENGTH_INFORMATION GET_MEDIA_TYPES LOOKUP_STREAM_FROM_CLUSTER_ENTRY LOOKUP_STREAM_FROM_CLUSTER_INPUT LOOKUP_STREAM_FROM_CLUSTER_OUTPUT MARK_HANDLE_INFO MOVE_FILE_DATA NTFS_EXTENDED_VOLUME_DATA NTFS_FILE_RECORD_INPUT_BUFFER NTFS_FILE_RECORD_OUTPUT_BUFFER NTFS_VOLUME_DATA_BUFFER PLEX_READ_DATA_REQUEST PREVENT_MEDIA_REMOVAL READ_ELEMENT_ADDRESS_INFO REASSIGN_BLOCKS REASSIGN_BLOCKS_EX REPAIR_COPIES_INPUT REPAIR_COPIES_OUTPUT REQUEST_OPLOCK_INPUT_BUFFER REQUEST_OPLOCK_OUTPUT_BUFFER RETRIEVAL_POINTER_BASE RETRIEVAL_POINTERS_BUFFER SET_DISK_ATTRIBUTES SET_PARTITION_INFORMATION SHRINK_VOLUME_INFORMATION STARTING_LCN_INPUT_BUFFER STARTING_VCN_INPUT_BUFFER STORAGE_ACCESS_ALIGNMENT_DESCRIPTOR STORAGE_ADAPTER_DESCRIPTOR STORAGE_DESCRIPTOR_HEADER STORAGE_DEVICE_ATTRIBUTES_DESCRIPTOR STORAGE_DEVICE_DESCRIPTOR_MGD STORAGE_DEVICE_ID_DESCRIPTOR STORAGE_DEVICE_IO_CAPABILITY_DESCRIPTOR STORAGE_DEVICE_NUMBER STORAGE_DEVICE_POWER_CAP STORAGE_DEVICE_RESILIENCY_DESCRIPTOR STORAGE_HOTPLUG_INFO STORAGE_HW_FIRMWARE_ACTIVATE STORAGE_HW_FIRMWARE_DOWNLOAD STORAGE_MEDIUM_PRODUCT_TYPE_DESCRIPTOR STORAGE_MINIPORT_DESCRIPTOR STORAGE_OFFLOAD_READ_OUTPUT STORAGE_OFFLOAD_TOKEN STORAGE_OFFLOAD_WRITE_OUTPUT STORAGE_PHYSICAL_ADAPTER_DATA STORAGE_PHYSICAL_DEVICE_DATA STORAGE_PHYSICAL_NODE_DATA STORAGE_PHYSICAL_TOPOLOGY_DESCRIPTOR STORAGE_PROPERTY_QUERY STORAGE_PROTOCOL_COMMAND STORAGE_PROTOCOL_DATA_DESCRIPTOR STORAGE_PROTOCOL_SPECIFIC_DATA STORAGE_RPMB_DATA_FRAME STORAGE_RPMB_DESCRIPTOR STORAGE_SPEC_VERSION STORAGE_TEMPERATURE_DATA_DESCRIPTOR STORAGE_TEMPERATURE_INFO STORAGE_TEMPERATURE_THRESHOLD STORAGE_WRITE_CACHE_PROPERTY TXFS_GET_METADATA_INFO_OUT TXFS_GET_TRANSACTED_VERSION TXFS_LIST_TRANSACTION_LOCKED_FILES TXFS_LIST_TRANSACTION_LOCKED_FILES_ENTRY TXFS_LIST_TRANSACTIONS TXFS_LIST_TRANSACTIONS_ENTRY TXFS_MODIFY_RM TXFS_QUERY_RM_INFORMATION TXFS_READ_BACKUP_INFORMATION_OUT TXFS_TRANSACTION_ACTIVE_INFO TXFS_WRITE_BACKUP_INFORMATION VERIFY_INFORMATION VOLUME_BITMAP_BUFFER CALDATETIME CPINFO CPINFOEX CURRENCYFMT FILEMUIINFO NLSVERSIONINFO NLSVERSIONINFOEX NUMBERFMT CONTEXT CONTEXT64 HARDWARE_COUNTER_DATA IMAGE_RUNTIME_FUNCTION_ENTRY MESSAGE_RESOURCE_BLOCK MESSAGE_RESOURCE_DATA MESSAGE_RESOURCE_ENTRY PERFORMANCE_DATA SECURITY_CAPABILITIES UMS_CREATE_THREAD_ATTRIBUTES UNWIND_HISTORY_TABLE UNWIND_HISTORY_TABLE_ENTRY WOW64_CONTEXT WOW64_FLOATING_SAVE_AREA WOW64_LDT_ENTRY DUMMYSTRUCTNAME EXCEPTION_INFO EXCEPTION_DEBUG_INFO CREATE_THREAD_DEBUG_INFO CREATE_PROCESS_DEBUG_INFO EXIT_PROCESS_DEBUG_INFO EXIT_THREAD_DEBUG_INFO LOAD_DLL_DEBUG_INFO UNLOAD_DLL_DEBUG_INFO OUTPUT_DEBUG_STRING_INFO RIP_INFO BLOCK_REGION_UNION BufferUnion HandleUnion CPU_RATE_CONTROL_UNION UNION Process Thread Mutant Event Section Semaphore CPU_SET DETAIL ProcessorRelationUnion Union ChunkStarted ChunkFinished StreamStarted StreamFinished PollContinue Error DUMMYUNIONNAME GenericReserved_ ProtocolSpecific_ Smb2 Server Share INPUT_RECORD_EVENT DEVICESPECIFIC ScsiSenseKeyStruct NVDIMM_NStruct RawBytesUnion MBR GPT MFTWRITESUSERLEVEL MFT2WRITESUSERLEVEL BITMAPWRITESUSERLEVEL MFTBITMAPWRITESUSERLEVEL ALLOCATE MFTWRITESUSERLEVEL MFT2WRITESUSERLEVEL BITMAPWRITESUSERLEVEL MFTBITMAPWRITESUSERLEVEL ALLOCATE DEVICESPECIFIC EXTENT TXFFILEID FLOATING_SAVE_AREA M128A XSAVE_FORMAT64 BLOCK_DATA REGION_DATA <ModuleHealth>e__FixedBuffer DISKINFO TAPEINFO BUSSPECIFICDATA SCSIINFORMATION                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
